Skip to main content
Settings/Log Server Operations
PUTLog Server OperationsSince 5.3.28SynchronousAuth Required

UpdateLogServer

UpdateLogServer

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • uuidStringRequired

    The resource UUID.

  • nameString

    Optional. The resource name.

  • descriptionString

    Optional. The resource description.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/log/servers

/zstack/v1/log/servers

Operation ID

UpdateLogServer

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/log/servers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"uuid":"<uuid>","name":"<name>","description":"<description>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history